# X509 Certificate
[OMXMLSecurity]

## Typedefs
typedef struct oxs_x509_cert_t | oxs_x509_cert_t
## Functions
AXIS2_EXTERN oxs_x509_cert_t * | oxs_x509_cert_create (const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | oxs_x509_cert_free (oxs_x509_cert_t *x509_cert, const axutil_env_t *env)
AXIS2_EXTERN int | oxs_x509_cert_get_serial_number (oxs_x509_cert_t *x509_cert, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | oxs_x509_cert_get_subject (oxs_x509_cert_t *x509_cert, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | oxs_x509_cert_get_issuer (oxs_x509_cert_t *x509_cert, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | oxs_x509_cert_get_key_identifier (oxs_x509_cert_t *x509_cert, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | oxs_x509_cert_get_fingerprint (oxs_x509_cert_t *x509_cert, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | oxs_x509_cert_get_date (oxs_x509_cert_t *x509_cert, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | oxs_x509_cert_get_hash (oxs_x509_cert_t *x509_cert, const axutil_env_t *env)
AXIS2_EXTERN axis2_char_t * | oxs_x509_cert_get_data (oxs_x509_cert_t *x509_cert, const axutil_env_t *env)
AXIS2_EXTERN openssl_pkey_t * | oxs_x509_cert_get_public_key (oxs_x509_cert_t *x509_cert, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | oxs_x509_cert_set_serial_number (oxs_x509_cert_t *x509_cert, const axutil_env_t *env, int value)
AXIS2_EXTERN axis2_status_t | oxs_x509_cert_set_issuer (oxs_x509_cert_t *x509_cert, const axutil_env_t *env, axis2_char_t *value)
AXIS2_EXTERN axis2_status_t | oxs_x509_cert_set_key_identifier (oxs_x509_cert_t *x509_cert, const axutil_env_t *env, axis2_char_t *value)
AXIS2_EXTERN axis2_status_t | oxs_x509_cert_set_subject (oxs_x509_cert_t *x509_cert, const axutil_env_t *env, axis2_char_t *value)
AXIS2_EXTERN axis2_status_t | oxs_x509_cert_set_fingerprint (oxs_x509_cert_t *x509_cert, const axutil_env_t *env, axis2_char_t *value)
AXIS2_EXTERN axis2_status_t | oxs_x509_cert_set_date (oxs_x509_cert_t *x509_cert, const axutil_env_t *env, axis2_char_t *value)
AXIS2_EXTERN axis2_status_t | oxs_x509_cert_set_hash (oxs_x509_cert_t *x509_cert, const axutil_env_t *env, axis2_char_t *value)
AXIS2_EXTERN axis2_status_t | oxs_x509_cert_set_data (oxs_x509_cert_t *x509_cert, const axutil_env_t *env, axis2_char_t *value)
AXIS2_EXTERN axis2_status_t | oxs_x509_cert_set_public_key (oxs_x509_cert_t *x509_cert, const axutil_env_t *env, openssl_pkey_t *public_key)
AXIS2_EXTERN axis2_status_t | oxs_x509_cert_copy_to (oxs_x509_cert_t *x509_cert, const axutil_env_t *env, oxs_x509_cert_t *to)
AXIS2_EXTERN axis2_char_t * | oxs_x509_cert_get_common_name (oxs_x509_cert_t *x509_cert, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | oxs_x509_cert_set_common_name (oxs_x509_cert_t *x509_cert, const axutil_env_t *env, axis2_char_t *common_name)

## Function Documentation

AXIS2_EXTERN axis2_status_t oxs_x509_cert_copy_to | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env,
|  | oxs_x509_cert_t * | to |
| ) |  |  |

Copy contents of a certificate to another

Parameters:

  | x509_cert | the X509 certificate, the source
  | env | pointer to environment struct
  | to,another | x509 certificate, the target

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN oxs_x509_cert_t* oxs_x509_cert_create | ( | const axutil_env_t * | env | ) |

Create function of the X509 certificate

Parameters:

  | env | pointer to environment struct

Returns:
  created X509 certificate

AXIS2_EXTERN axis2_status_t oxs_x509_cert_free | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env |
| ) |  |  |

Free function of the X509 certificate

Parameters:

  | x509_cert | the X509 certificate to be freed
  | env | pointer to environment struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_char_t* oxs_x509_cert_get_data | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the data of X509 Certificate This is the base64 encoded string in between the --BEGIN CERTIFICATE- --END CERTIFICATE-- lines

Parameters:

  | x509_cert | the X509 certificate
  | env | pointer to environment struct

Returns:
  the data of X509 certificate

AXIS2_EXTERN axis2_char_t* oxs_x509_cert_get_date | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the expiration date of X509 Certificate

Parameters:

  | x509_cert | the X509 certificate
  | env | pointer to environment struct

Returns:
  the expiration date of X509 certificate

AXIS2_EXTERN axis2_char_t* oxs_x509_cert_get_fingerprint | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the finger print of X509 Certificate

Parameters:

  | x509_cert | the X509 certificate
  | env | pointer to environment struct

Returns:
  the finger print of X509 certificate

AXIS2_EXTERN axis2_char_t* oxs_x509_cert_get_hash | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the hash of X509 Certificate

Parameters:

  | x509_cert | the X509 certificate
  | env | pointer to environment struct

Returns:
  the hash of X509 certificate

AXIS2_EXTERN axis2_char_t* oxs_x509_cert_get_issuer | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the issuer of X509 Certificate

Parameters:

  | x509_cert | the X509 certificate
  | env | pointer to environment struct

Returns:
  the issuer of X509 certificate

AXIS2_EXTERN axis2_char_t* oxs_x509_cert_get_key_identifier | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the key identifier of X509 Certificate

Parameters:

  | x509_cert | the X509 certificate
  | env | pointer to environment struct

Returns:
  the key identifier of X509 certificate

AXIS2_EXTERN openssl_pkey_t* oxs_x509_cert_get_public_key | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the public key of X509 Certificate

Parameters:

  | x509_cert | the X509 certificate
  | env | pointer to environment struct

Returns:
  the public key of X509 certificate

AXIS2_EXTERN int oxs_x509_cert_get_serial_number | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the serial number of X509 Certificate

Parameters:

  | x509_cert | the X509 certificate
  | env | pointer to environment struct

Returns:
  the serial number of X509 certificate

AXIS2_EXTERN axis2_char_t* oxs_x509_cert_get_subject | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env |
| ) |  |  |

Get the subject of X509 Certificate

Parameters:

  | x509_cert | the X509 certificate
  | env | pointer to environment struct

Returns:
  the subject of X509 certificate

AXIS2_EXTERN axis2_status_t oxs_x509_cert_set_data | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | value |
| ) |  |  |

Set the data of X509 Certificate. This is the base64 encoded string in between the --BEGIN CERTIFICATE- --END CERTIFICATE-- lines

Parameters:

  | x509_cert | the X509 certificate
  | env | pointer to environment struct
  | value | the data of X509 Certificate

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t oxs_x509_cert_set_date | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | value |
| ) |  |  |

Set the expiration date of X509 Certificate

Parameters:

  | x509_cert | the X509 certificate
  | env | pointer to environment struct
  | value | the expiration date of X509 Certificate

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t oxs_x509_cert_set_fingerprint | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | value |
| ) |  |  |

Set the finger print of X509 Certificate

Parameters:

  | x509_cert | the X509 certificate
  | env | pointer to environment struct
  | value | the fingerprint of X509 Certificate

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t oxs_x509_cert_set_hash | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | value |
| ) |  |  |

Set the hash of X509 Certificate

Parameters:

  | x509_cert | the X509 certificate
  | env | pointer to environment struct
  | value | the hash of X509 Certificate

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t oxs_x509_cert_set_issuer | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | value |
| ) |  |  |

Set the issuer of X509 Certificate

Parameters:

  | x509_cert | the X509 certificate
  | env | pointer to environment struct
  | value | the issuer of X509 Certificate

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t oxs_x509_cert_set_key_identifier | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | value |
| ) |  |  |

Set the key identifier of X509 Certificate

Parameters:

  | x509_cert | the X509 certificate
  | env | pointer to environment struct
  | value | the key identifier of X509 Certificate

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t oxs_x509_cert_set_public_key | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env,
|  | openssl_pkey_t * | public_key |
| ) |  |  |

Set the public key of X509 Certificate

Parameters:

  | x509_cert | the X509 certificate
  | env | pointer to environment struct
  | public_key | public key of X509 Certificate

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t oxs_x509_cert_set_serial_number | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env,
|  | int | value |
| ) |  |  |

Set the serial number of X509 Certificate

Parameters:

  | x509_cert | the X509 certificate
  | env | pointer to environment struct
  | value | the serial number of X509 Certificate

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t oxs_x509_cert_set_subject | ( | oxs_x509_cert_t * | x509_cert,
|  | const axutil_env_t * | env,
|  | axis2_char_t * | value |
| ) |  |  |

Set the subject of X509 Certificate

Parameters:

  | x509_cert | the X509 certificate
  | env | pointer to environment struct
  | value | the subject of X509 Certificate

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE